%define upstream_name Class-XPath
%define upstream_version 1.4

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL or Artistic
Summary:	Class-XPath module for perl
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch

%description
This module adds XPath-style matching to your object trees. This means
that you can find nodes using an XPath-esque query with "match()" from
anywhere in the tree. Also, the "xpath()" method returns a unique path
to a given node which can be used as an identifier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Class/XPath.pm
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.400.0-6.mga9
+ Revision: 1802519
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.400.0-5.mga8
+ Revision: 1493559
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.400.0-4.mga7
+ Revision: 1266571
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.400.0-3.mga6
+ Revision: 1024257
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.400.0-2.mga6
+ Revision: 968409
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 852250
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.4-9.mga5
+ Revision: 742866
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-8.mga5
+ Revision: 683950
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-7.mga4
+ Revision: 510021
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4-6.mga3
+ Revision: 364527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.4-5.mga1
+ Revision: 10101
- imported package perl-Class-XPath


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.4-5mdv2010.0
+ Revision: 430335
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.4-4mdv2009.0
+ Revision: 241188
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-2mdv2008.0
+ Revision: 86182
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4-1mdk
- initial Mandriva package

